#!/bin/sh
#
# $FreeBSD: ports/x11/kdebase3/files/genkdmconf.sh,v 1.2 2004/09/24 06:40:28 lofi Exp $

# some defs
GENKDMCONF=/usr/local/bin/genkdmconf
KDMCONFDIR=/usr/local/share/config/kdm

#first, set a path for an X app
PATH=/sbin:/bin:/usr/sbin:/usr/bin:/usr/local/sbin:/usr/local/bin:/usr/X11R6/bin
export PATH

#Configure kdm if needed
if [ ! -r ${KDMCONFDIR}/kdmrc ]; then
	echo "Generating KDM configuration";
	${GENKDMCONF} --no-old --in ${KDMCONFDIR};
fi
